#ifndef PARSEDEVICEMESSAGE_H
#define PARSEDEVICEMESSAGE_H
#include "device_message.h"
#include "mmodbus.h"
#include "ring_buffer.h"
#include "dlt645.h"
#include "dlt645_port.h"




bool WaitForUpData(char *dmaBuffer);
void Read_Data();
extern ring_buffer mqttRecv;
extern uint8_t protocol;
void parseMQTTData(GATEWAY_PARAMS *gateway);
void dlt645_read(GATEWAY_PARAMS *gateway);

//void WaitForUpData232(void);
#endif /* MAIN_H */
